org.eclipse.rdf4j.model.base

## Class AbstractBNode

- java.lang.Object
- - org.eclipse.rdf4j.model.base.AbstractBNode

- All Implemented Interfaces:
    Serializable, BNode, Resource, Value
  Direct Known Subclasses:
    SimpleBNode

      public abstract class AbstractBNode
      extends Object
      implements BNode

  Base class for `BNode`, offering common functionality.
  Since:
    3.5.0
  Author:
    Alessandro Bollini
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Compares this blank node to another object.
    `int` | `hashCode()` Computes the hash code of this blank node.
    `String` | `stringValue()` Returns the String-value of a `Value` object.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.BNode

      `getID, isBNode`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Resource

      `isResource`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isIRI, isLiteral, isTriple`

- - ### Constructor Detail

    - #### AbstractBNode

          public AbstractBNode()

  - ### Method Detail

    - #### stringValue

          public String stringValue()

      Description copied from interface: `Value`
      Returns the String-value of a `Value` object. This returns either a `Literal`'s label, a `IRI`'s URI or a `BNode`'s ID.
      Specified by:
        `stringValue` in interface `Value`

    - #### equals

          public boolean equals(Object o)

      Description copied from interface: `BNode`
      Compares this blank node to another object.
      Specified by:
        `equals` in interface `BNode`
      Overrides:
        `equals` in class `Object`
      Parameters:
        `o` - the object to compare this blank node to
      Returns:
        `true`, if the other object is an instance of `BNode` and their IDs are equal; `false`, otherwise.

    - #### hashCode

          public int hashCode()

      Description copied from interface: `BNode`
      Computes the hash code of this blank node.
      Specified by:
        `hashCode` in interface `BNode`
      Overrides:
        `hashCode` in class `Object`
      Returns:
        a hash code for this blank node computed as `BNode.getID()``.hashCode()`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.